@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

:root {
    --font-main: "Open Sans", sans-serif;

    --color-white: #fff;
    --color-text: #6A859C;
    --color-title: #676770;
    --color-primary: #69B9FF;

    --color-btn-hover: rgba(255, 255, 255, 0.2);
    --color-btn-active: rgba(0, 0, 0, 0.2);

    --color-dark: #192024;
    --color-line: #D5D5E0;

    --border-radius: 4px;
    --transition: 0.2s;
}

/* Common */

body {
    font-family: var(--font-main);
    font-weight: 400;
    font-size: 14px;

    color: var(--color-text);
}

.container {
    max-width: 970px;
    margin: 0 auto;
    padding: 0 15px;
}

.btn {
    display: inline-block;

    border: 1px solid var(--color-white);
    border-radius: var(--border-radius);

    padding: 10px 30px;

    text-transform: uppercase;
}

.btn:hover {
    background-color: var(--color-btn-hover);
    border: 1px solid var(--color-btn-hover);
}

.btn:active {
    background-color: var(--color-btn-active);
    border: 1px solid var(--color-btn-active);
}

.btn--primary {
    background-color: var(--color-primary);
    border: 1px solid var(--color-primary);
}

.btn--primary:hover {
    background-color: #9BD0FF;
    border: 1px solid #9BD0FF;
}

.btn--primary:active {
    background-color: #006BC8;
    border: 1px solid #006BC8;
}

.title-wrapper {
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 0.2em;

    margin-bottom: 60px;
}

.title {
    font-size: clamp(18px, 3vw, 30px);
    color: var(--color-title);

    margin-bottom: 18px;
}

.subtitle {
    font-size: clamp(16px, 2vw, 18px);
    color: #8E8E9C;
}

.card-title {
    font-size: clamp(14px, 2vw, 20px);
    line-height: 1.5;
    letter-spacing: 0.35em;
    color: var(--color-title);
    text-transform: uppercase;
}

.common-section {
    padding: 80px 0;
    text-align: center;
}

.common-section--dark {
    background-color: var(--color-dark);
}

.common-section--dark * {
    color: var(--color-white);
}

.hide {
    display: none !important;
}

/* Header */

.header {
    padding: 20px 0;

    position: fixed;
    background-color: var(--color-white);
    width: 100%;

    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header__logo {
    font-size: 26px;
    letter-spacing: 0.16em;
    text-transform: uppercase;
    color: var(--color-primary);
}

.header__nav ul {
    display: flex;
    gap: 40px;
}

.header__nav a {
    font-size: 16px;
    color: var(--color-title);

    transition: color var(--transition);
}

.header__nav a:hover {
    color: #0082f3;
}

/* Welcome section */

.welcome {
    color: var(--color-white);
    text-align: center;

    background-color: #3E3D45;
    background-image: url("images/welcome-bg.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;

    padding: 200px 0;
}

.welcome .container {
    display: flex;
    flex-direction: column;

    align-items: center;
}

.welcome__title {
    font-size: clamp(40px, 8vw, 60px);
    letter-spacing: 0.07em;
    text-transform: uppercase;
}

.welcome__btns {
    margin-top: 100px;

    display: flex;
    gap: 20px;

    letter-spacing: 0.13em;
}

/* About section */

.about__cards-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.about__card {
    width: 300px;
    min-width: 220px;

    border: 1px solid #DCEBF7;
    padding: 36px 16px 24px;
}

.about__card-img {
    height: 94px;
    width: 94px;
    object-fit: cover;

    margin-bottom: 20px;
}

.about__card-title {
    margin-bottom: 14px;
}

/* Services section */

.services__subtitle {
    color: #E8E8E8;
}

.services__card-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

.services__card {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.services__card-img {
    object-fit: cover;
    width: 430px;
    min-height: 270px;
}

.services__card-title {
    margin-top: 20px;
    margin-bottom: 24px;
}

.services__btn {
    margin-top: 18px;
}

.services__card-desc {
    max-width: 390px;
}

/* Tab section */

.tab__wrapper {
    margin-top: 60px;
}

.tab__button {
    text-transform: uppercase;
    letter-spacing: 0.125em;
    color: var(--color-white);

    background-color: #92A0AD;
    border-radius: var(--border-radius);

    padding: 2px 30px;

    transition: opacity var(--transition);
}

.tab__button--active {
    background-color: #2E80B6;
}

.tab__button + .tab__button {
    margin-left: 16px;
}

.tab__button:hover {
    opacity: 0.7;
}

.tab__panel {
    margin-top: 40px;
    animation: tabsOpacity 0.7s;
}

.tab__panel-title {
    margin-top: 16px;
}

.tab__panel-text {
    max-width: 720px;
    line-height: 1.6;

    margin: 0 auto;
}

@keyframes tabsOpacity {
    from {
        opacity: 0.3;
    }

    to {
        opacity: 1;
    }
}

/* Footer section */

.footer__desc {
    display: flex;
    justify-content: space-between;

    padding: 34px 0;
}

.footer__desc > * {
    width: 30%;
    min-width: 200px;
}

.footer__title {
    font-size: clamp(14px, 2vw, 18px);
    text-transform: uppercase;
    letter-spacing: 0.2em;
    color: var(--color-title);

    margin-bottom: 24px;
}

.footer__link {
    position: relative;

    height: 30px;
}

.footer__link::after {
    content: "";

    width: 100%;
    height: 1px;

    background-color: var(--color-line);

    position: absolute;
    bottom: 0;
    right: 0;
}

.footer__link + .footer__link {
    margin-top: 6px;
}

.footer__social img {
    width: 20px;
    height: 20px;
    object-fit: contain;

    margin-right: 10px;
}

.footer__social .footer__link::after {
    width: calc(100% - 30px);
}

.footer__copy {
    padding: 40px 0;
    background-color: #383838;
}

.footer__copy-text {
    color: #9E9E9E;
    text-align: center;
}

/* Media */

@media (max-width: 730px) {
    .about__cards-wrapper {
        flex-direction: column;
        align-items: center;
    }

    .services__card-wrapper {
        flex-wrap: wrap;
        gap: 24px;
        justify-content: center;
    }
}

@media (max-width: 680px) {
    .footer__desc {
        flex-wrap: wrap;
        justify-content: center;
        gap: 25px;
    }

    .common-section {
        padding: 60px 0;
    }
}

@media (max-width: 610px) {
    .welcome__btns {
        flex-direction: column;
        align-items: center;
        width: 50%;
    }

    .welcome .btn {
        width: 100%;
    }

    .tab__nav {
        display: flex;
        flex-direction: column;
        gap: 14px;

        width: 50%;

        margin: 0 auto;
    }

    .tab__button {
        width: 100%;
        padding: 8px 30px;
    }

    .tab__button + .tab__button {
        margin-left: 0;
    }

    .title-wrapper {
        margin-bottom: 30px;
    }

    .tab__wrapper {
        margin-top: 30px;
    }
}

@media (max-width: 540px) {
    body {
        font-size: 12px;
    }

    .footer__title {
        text-align: center;
    }

    .header__nav ul {
        gap: 20px;
    }

    .welcome {
        height: 100vh;
    }

    .welcome .btn {
        font-size: 18px;
    }

    .welcome__btns {
        width: 70%;
    }

    .services__card-desc {
        max-width: 300px;
    }

    .services__card-title {
        margin-top: 16px;
        margin-bottom: 18px;
    }

    .subtitle {
        max-width: 300px;
        margin: 0 auto;
    }
}